summaryrefslogtreecommitdiff
path: root/Documentation
diff options
context:
space:
mode:
authorJakob Unterwurzacher2016-11-01 15:43:33 +0100
committerJakob Unterwurzacher2016-11-01 15:43:33 +0100
commite993fd5fbcf8c261cc71fcb96b7fb48dcae8eb2b (patch)
treef947e71d359ffae77276ff8bea68de99fb5b19ce /Documentation
parent944eaf2fb507265d41db5685b1c8d902e20e52da (diff)
packakge.bash: include rendered man page in tarball
Diffstat (limited to 'Documentation')
-rw-r--r--Documentation/.gitignore2
-rwxr-xr-xDocumentation/MANPAGE-render.bash10
2 files changed, 7 insertions, 5 deletions
diff --git a/Documentation/.gitignore b/Documentation/.gitignore
deleted file mode 100644
index e35bb1d..0000000
--- a/Documentation/.gitignore
+++ /dev/null
@@ -1,2 +0,0 @@
-# Rendered manpage
-*.1
diff --git a/Documentation/MANPAGE-render.bash b/Documentation/MANPAGE-render.bash
index f4e9743..138f4d6 100755
--- a/Documentation/MANPAGE-render.bash
+++ b/Documentation/MANPAGE-render.bash
@@ -1,7 +1,11 @@
#!/bin/bash
-set -eux
+set -eu
+cd $(dirname "$0")
+
+OUT=gocryptfs.1
# Render MANPAGE.md to a proper man(1) manpage
-cd ${0%/*}
-pandoc MANPAGE.md -s -t man -o gocryptfs.1 && man ./gocryptfs.1
+echo ".\\\" This is a man page. View it using 'man ./$OUT'" > $OUT
+echo ".\\\"" >> $OUT
+pandoc MANPAGE.md -s -t man >> $OUT && man ./gocryptfs.1